<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- art_and_photography-004 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0" style="background-image: url('images/body_bg.gif');background-position:left;background-repeat: repeat;"><table border="0" cellspacing="0" width="100%" height="100%" cellpadding="0" style="background-image: url('images/body_bg.gif');background-position:left;background-repeat: repeat;">
  <tr>
    <td height="56" valign="top"><table width="100%" height="56" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="30"><div style="height:px;width:30px;"></div></td>
        <td align="left" valign="bottom"><!-- MENU --><table height="56" border="0" cellpadding="0" cellspacing="0" >
  <tr>
    <xsl:call-template name="TOP-MENU"/>
  </tr>
</table>
    <!-- END MENU --></td>
		<td width="15"><div style="height:px;width:15px;"></div></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="100%" valign="top"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
 <tr>
  <td width="312" height="100%" valign="top" style="background-image: url('images/txt_leftbg2.gif');background-position:right;background-repeat: repeat-y;"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
 <tr>
  <td height="10" style="background-image: url('images/headertop_line.gif');background-position:left;background-repeat: repeat-x;"><img src="images/headertop_line.gif" width="312" height="10"/></td>
 </tr>
 <tr>
   <td height="100%"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
 <tr>
  <td width="206" height="100%" align="right" valign="top"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
    <tr>
      <td height="103"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
        <tr>
          <td align="center" valign="top" ><!-- LOGO --><table width="190" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
        </tr>
      <tr>
        <td align="center" valign="middle" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
      </tr>
      <tr>
        <td align="center" valign="middle" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
      </tr>
      <tr>
        <td></td>
      </tr>
    </table>
      <!-- END LOGO --></td>
        </tr>
      </table></td>
    </tr>
    <tr>
      <td height="1" style="background-image: url('images/line.gif');background-position:left;background-repeat: repeat-x;"><img src="images/line.gif" width="1" height="1"/></td>
    </tr>
    <tr>
      <td height="103"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
 <tr>
  <td align="right" style="padding-left:1px;padding-top:1px;padding-bottom:1px;"><img src="images/header01.jpg" width="101" height="101"/></td>
  <td width="1" style="background-image: url('images/line.gif');background-position:center;background-repeat: repeat-y;"><div style="height:3px;width:3px;"></div></td>
  <td width="103" align="center" style="padding-right:1px;padding-top:1px;padding-bottom:1px;"><img src="images/header02.jpg" width="101" height="101"/></td>
 </tr>
</table></td>
    </tr>
    <tr>
      <td height="1" style="background-image: url('images/line.gif');background-position:left;background-repeat: repeat-x;"><img src="images/line.gif" width="1" height="1"/></td>
    </tr>
    <tr>
      <td align="right" valign="top" style="padding:1px;"><div style="height:20px;width:206px;"></div><!-- SUBMENU -->
            <table width="175" border="0" cellspacing="0" cellpadding="0">
              <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
            </table>
          <!-- END SUBMENU -->
          <div style="height:20px;width:px;"></div></td>
    </tr>
    
  </table></td>
  
  <td width="104" height="100%" align="center" valign="top"><table width="103" border="0" cellspacing="0" cellpadding="0" style="background-image: url('images/body_bg.gif');background-repeat: repeat;">
    <tr>
      <td height="104" align="center" valign="top" style="padding-left:1px;padding-right:1px;padding-top:1px;padding-bottom:1px;background-image: url('images/line.gif');background-position:bottom;background-repeat: repeat-x;"><img src="images/header03.jpg"/></td>
    </tr>
    <tr>
      <td height="104" align="center" valign="top" style="padding-left:1px;padding-right:1px;padding-top:1px;padding-bottom:1px;background-image: url('images/line.gif');background-position:bottom;background-repeat: repeat-x;"><img src="images/header04.jpg"/></td>
    </tr>
    <tr>
      <td height="104" align="center" valign="top" style="padding-left:1px;padding-right:1px;padding-top:1px;padding-bottom:1px;background-image: url('images/line.gif');background-position:bottom;background-repeat: repeat-x;"><img src="images/header05.jpg"/></td>
    </tr>
  </table>
  <div style="height:px;width:103px;"></div></td>
 </tr>
</table></td>
 </tr>
</table></td>
  <td height="100%" valign="top" style="background-image: url('images/txt_bg.gif');background-position:left;background-repeat: repeat;"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;background-image: url('images/header06_bg.gif');background-position:left top;background-repeat: repeat-x;">
 <tr>
  <td align="left" valign="top" ><img src="images/header06.jpg" width="461" height="293"/>
    <table border="0" cellspacing="0" cellpadding="0" style="width: 100%;">
      <tr>
        <td align="left" valign="top" class="pageContent_table"><!-- CONTENT -->
            <table cellpadding="0" cellspacing="0" border="0">
              <tr>
                <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                <td class="text-header" style="padding-left:10px;"><img src="images/txtheader_bullet.gif"/></td>
              </tr>
            </table>
          <div style="height:20px;"></div>
          <table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" height="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
            <!-- END CONTENT --></td>
      </tr>
    </table></td>
 </tr>
 
</table></td>
 </tr>
</table></td>
  </tr>
  <tr>
    <td height="100" align="center" valign="middle" style="background-image: url('images/line.gif');background-position:top;background-repeat: repeat-x;"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
 <tr>
  <td width="15"><div style="height:px;width:15px;"></div>
</td>
  <td align="center" valign="middle"><!-- BOTTOM MENU -->
            <table border="0" cellpadding="0" cellspacing="0">
              <tr><xsl:call-template name="BOTTOM-MENU"/></tr>
            </table>
          <!-- END BOOTTOM MENU -->
          <div style="height:25px;width:25px;"></div>
          <!-- FOOTER -->
        <div align="center" class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
    <!-- END FOOTER --></td>
  <td width="15"><div style="height:px;width:15px;"></div>
</td>
 </tr>
</table></td>
  </tr>
</table>
</BODY>

	</html>
</xsl:template>

<!-- TOP-MENU-->
<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>
<!-- END TOP-MENU-->


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<!-- SUB-MENU-->	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
	<xsl:when test="@ID=/LAYOUT/@ID" >
	
	  <!-- sub-menu without link-->	
      <tr>
                             <td align="left"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                                 <tr>
                                   <td><span class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
                                   <td width="5" height="30"><img src="images/submenu_bullet.gif"/></td>
                                 </tr>
                             </table></td>
                           </tr>
	  <!--end-->
	  
		
	</xsl:when>
	<xsl:otherwise>
	<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	
	  <!--sub-menu with link-->
	  <tr>
                             <td align="left"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                                 <tr>
                                   <td><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                                   <td width="5" height="30"><img src="images/submenu_bullet.gif"/></td>
                                 </tr>
                             </table></td>
                           </tr>
	  <!--end-->
	  
	  
	</xsl:if>
	</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	 
	  <!-- sub-menu no last-->
      <tr>
                             <td height="1"><img src="images/submenu_line.gif"/></td>
                           </tr>
	  <!--end-->
	  
	
</xsl:if>
</xsl:template>	
<!--END SUB-MENU-->


<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>


<!-- BOTTOM-MENU-->		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
	   
		<!-- bottom-menu with link-->
        <td align="right" valign="middle"><img src="images/botmenu_bullet1.gif"/></td>
                <td align="left" valign="middle" ><a href="{@HREF}" class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		<!--end-->
		
		
        </xsl:when>
		
	    <xsl:otherwise>
		  
		<!-- bottom-menu click link-->  
        <td align="right" valign="middle"><img src="images/botmenu_bullet1.gif"/></td>
                <td align="left" valign="middle" ><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		<!--end-->
		
		
		</xsl:otherwise>
        </xsl:choose>
	    <xsl:if test="position()!=last()">
		
		<!-- bottom-menu no last-->
        
		<!--end-->
		
		</xsl:if>
</xsl:template>
<!--END BOTTOM-MENU-->
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
